<?php
require'fun.php';
$titlu='Cumpara produs din magazin';
$back[1]='<a href="/magazin">'.img('animalshop.gif',1).'Magazin</a>';
require'f_sus.php';
require'f_mut.php';
$lei_disponibili=$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0];
$cost=$conn->query('SELECT`id`,`pret`,`nume`,`link`FROM`magazin_produse`WHERE`id`="'.$pid.'"')->fetch_row();
if($cost[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Produsul ales nu a fost găsit în baza de date!';
elseif($lei_disponibili<$cost[1])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Produsul ales costă <strong>'.$cost[1].'</strong> lei, iar tu ai doar <strong>'.number_format($lei_disponibili).'</strong>!<br /><a href="/informatii-lei">'.img('banca.gif',1).'<span style="color:red">Informații despre acumularea și consumul de lei</span></a>';
else
{
if($conn->query('INSERT INTO`magazin_cumparaturi`SET`pid`="'.$pid.'",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$cost[1].' WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].$cost[2].' a fost Cumparat!<br /><img src="/'.$cost[3].'" alt="'.$cost[2].'" />';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
echo$div[0];
require'f_jos.php';